package de.samdev.colorrunner.game.world.map.provider;


import com.badlogic.gdx.math.Rectangle;

import de.samdev.colorrunner.game.world.CRGameWorld;
import de.samdev.colorrunner.game.world.map.CRTiledMap;

public abstract class MapProvider {
    public abstract void init(CRGameWorld world);

    public abstract void update(CRGameWorld world, Rectangle player);

    public abstract boolean isNextEndlessMenu();

    public abstract MapProvider createNew();

    public abstract TriggerType getTrigger(int x, int y);
}
